<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:rhimagnesitanv="http://rhimagnesitanv.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" targetNamespace="http://rhimagnesitanv.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="724500UWG6A61XNA3Y36-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="724500UWG6A61XNA3Y36-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="724500UWG6A61XNA3Y36-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="724500UWG6A61XNA3Y36-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="ConsolidatedStatementOfProfitOrLoss" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfProfitOrLoss">
        <link:definition>01 - Consolidated Statement of Profit or Loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfProfitOrLossForTheYearEnded31December2024" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfProfitOrLossForTheYearEnded31December2024">
        <link:definition>02 - Consolidated Statement of Profit or Loss 
for the year ended 31 December 2024</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfComprehensiveIncome" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfComprehensiveIncome">
        <link:definition>02 - Consolidated Statement of Comprehensive Income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfComprehensiveIncomeForTheYearEnded31December2024" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfComprehensiveIncomeForTheYearEnded31December2024">
        <link:definition>04 - Consolidated Statement of Comprehensive Income
for the year ended 31 December 2024</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfFinancialPosition" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfFinancialPosition">
        <link:definition>03 - Consolidated Statement of Financial Position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfCashFlows" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfCashFlows">
        <link:definition>04 - Consolidated Statement of Cash Flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfChangesInEquityForTheYearEnded31December2024" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/ConsolidatedStatementOfChangesInEquityForTheYearEnded31December2024">
        <link:definition>07 - Consolidated Statement of Changes in Equity
for the year ended 31 December 2024</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>05 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://rhimagnesitanv.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="rhimagnesitanv_Restructuring" xbrli:balance="debit" xbrli:periodType="duration" name="Restructuring" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_GroupReserves" xbrli:balance="credit" xbrli:periodType="instant" name="GroupReserves" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_InterestPaymentsFromLeaseObligations" xbrli:balance="credit" xbrli:periodType="duration" name="InterestPaymentsFromLeaseObligations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ChangeInNonControllingInterestsWithoutChangeinControl" xbrli:balance="credit" xbrli:periodType="duration" name="ChangeInNonControllingInterestsWithoutChangeinControl" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL" xbrli:balance="credit" xbrli:periodType="duration" name="ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS" xbrli:balance="credit" xbrli:periodType="duration" name="ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies" xbrli:balance="credit" xbrli:periodType="duration" name="ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl" xbrli:balance="credit" xbrli:periodType="duration" name="ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_CurrencyTranslationDifferencesHyperinflation" xbrli:balance="credit" xbrli:periodType="duration" name="CurrencyTranslationDifferencesHyperinflation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther" xbrli:balance="credit" xbrli:periodType="duration" name="ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>